org.apache.poi.hslf.record

## Class ExEmbedAtom

- java.lang.Object
- - org.apache.poi.hslf.record.Record
  - - org.apache.poi.hslf.record.RecordAtom
    - - org.apache.poi.hslf.record.ExEmbedAtom

- All Implemented Interfaces:
    GenericRecord

      public class ExEmbedAtom
      extends RecordAtom

  The atom that holds metadata on a specific embedded object in the document.
  Author:
    Daniel Noll

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DOES_NOT_FOLLOW_COLOR_SCHEME` Embedded document does not follow the color scheme.
    `static int` | `FOLLOWS_ENTIRE_COLOR_SCHEME` Embedded document follows the entire color scheme.
    `static int` | `FOLLOWS_TEXT_AND_BACKGROUND_SCHEME` Embedded document follows the text and background scheme.

    - ### Fields inherited from class org.apache.poi.hslf.record.Record

      `logger`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ExEmbedAtom()` Constructs a brand new embedded object atom record.
    `protected` | `ExEmbedAtom(byte[] source, int start, int len)` Constructs the embedded object atom record from its source data.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getCantLockServerB()` Gets whether the embedded server cannot be locked.
    `int` | `getFollowColorScheme()` Gets whether the object follows the color scheme.
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `boolean` | `getIsTable()` Getswhether the object is a Word table.
    `boolean` | `getNoSizeToServerB()` Gets whether it is not required to send the dimensions to the embedded object.
    `long` | `getRecordType()` Gets the record type.
    `void` | `setCantLockServerB(boolean cantBeLocked)`
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

    - ### Methods inherited from class org.apache.poi.hslf.record.RecordAtom

      `getChildRecords, isAnAtom`

    - ### Methods inherited from class org.apache.poi.hslf.record.Record

      `buildRecordAtOffset, createRecordForType, findChildRecords, getGenericChildren, getGenericRecordType, writeLittleEndian, writeLittleEndian`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DOES_NOT_FOLLOW_COLOR_SCHEME

          public static final int DOES_NOT_FOLLOW_COLOR_SCHEME

      Embedded document does not follow the color scheme.
      See Also:
        Constant Field Values

    - #### FOLLOWS_ENTIRE_COLOR_SCHEME

          public static final int FOLLOWS_ENTIRE_COLOR_SCHEME

      Embedded document follows the entire color scheme.
      See Also:
        Constant Field Values

    - #### FOLLOWS_TEXT_AND_BACKGROUND_SCHEME

          public static final int FOLLOWS_TEXT_AND_BACKGROUND_SCHEME

      Embedded document follows the text and background scheme.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExEmbedAtom

          protected ExEmbedAtom()

      Constructs a brand new embedded object atom record.

    - #### ExEmbedAtom

          protected ExEmbedAtom(byte[] source,
                                int start,
                                int len)

      Constructs the embedded object atom record from its source data.
      Parameters:
        `source` - the source data as a byte array.
        `start` - the start offset into the byte array.
        `len` - the length of the slice in the byte array.

  - ### Method Detail

    - #### getFollowColorScheme

          public int getFollowColorScheme()

      Gets whether the object follows the color scheme.
      Returns:
        one of `DOES_NOT_FOLLOW_COLOR_SCHEME`, `FOLLOWS_ENTIRE_COLOR_SCHEME`, or `FOLLOWS_TEXT_AND_BACKGROUND_SCHEME`.

    - #### getCantLockServerB

          public boolean getCantLockServerB()

      Gets whether the embedded server cannot be locked.
      Returns:
        `true` if the embedded server cannot be locked.

    - #### setCantLockServerB

          public void setCantLockServerB(boolean cantBeLocked)

    - #### getNoSizeToServerB

          public boolean getNoSizeToServerB()

      Gets whether it is not required to send the dimensions to the embedded object.
      Returns:
        `true` if the embedded server does not require the object dimensions.

    - #### getIsTable

          public boolean getIsTable()

      Getswhether the object is a Word table.
      Returns:
        `true` if the object is a Word table.

    - #### getRecordType

          public long getRecordType()

      Gets the record type.
      Specified by:
        `getRecordType` in class `Record`
      Returns:
        the record type.

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk
      Specified by:
        `writeOut` in class `Record`
      Parameters:
        `out` - the output stream to write to.
      Throws:
        `java.io.IOException` - if an error occurs.

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.